using CloudGaming.Api.Base;
using CloudGaming.Code.Other;
using CloudGaming.DtoModel.FeedBack;

using HuanMeng.DotNetCore.AttributeExtend;

using Microsoft.AspNetCore.Mvc;

namespace CloudGaming.Api.Controllers;


/// <summary>
/// 反馈
/// </summary>
public class FeedBackController : CloudGamingControllerBase
{
    public FeedBackController(IServiceProvider _serviceProvider) : base(_serviceProvider)
    {
    }

    /// <summary>
    /// 反馈接口
    /// </summary>
    /// <param name="feedBackRequest"></param>
    /// <returns></returns>
    /// <exception cref="ArgumentNullException"></exception>
    [HttpPost]
    [Message("反馈成功！")]
    public async Task<bool> SendFeedBack([FromBody] FeedBackRequest feedBackRequest)
    {
        FeedBackBLL feedBackBLL = new FeedBackBLL(ServiceProvider);
        await feedBackBLL.SendFeedBack(feedBackRequest);
        return true;
    }
}